PXMLRPCArrayObjectsBase Class Referenceabstract

`#include <pxmlrpc.h>`

Inheritance diagram for PXMLRPCArrayObjectsBase:

## Public Member Functions

virtual PString | ToString (PINDEX i) const
virtual void | FromString (PINDEX i, const PString &str)
virtual PBoolean | SetSize (PINDEX)
virtual PObject * | CreateObject () const =0
Public Member Functions inherited from PXMLRPCArrayBase
virtual void | PrintOn (ostream &strm) const
| Output the contents of the object to the stream. More...
virtual void | Copy (const PXMLRPCVariableBase &other)
virtual PBoolean | IsArray () const
virtual PINDEX | GetSize () const
Public Member Functions inherited from PXMLRPCVariableBase
const char * | GetName () const
const char * | GetType () const
virtual PXMLRPCStructBase * | GetStruct (PINDEX i) const
PString | ToBase64 (PAbstractArray &data) const
void | FromBase64 (const PString &str, PAbstractArray &data)
Public Member Functions inherited from PObject
virtual | ~PObject ()
virtual PObject * | Clone () const
| Create a copy of the class on the heap. More...
virtual PINDEX | HashFunction () const
| This function yields a hash value required by the `PDictionary` class. More...
virtual const char * | GetClass (unsigned ancestor=0) const
| Get the current dynamic type of the object instance. More...
PBoolean | IsClass (const char *cls) const
virtual PBoolean | InternalIsDescendant (const char *clsName) const
| Determine if the dynamic type of the current instance is a descendent of the specified class. More...
virtual Comparison | Compare (const PObject &obj) const
| Compare the two objects and return their relative rank. More...
virtual Comparison | CompareObjectMemoryDirect (const PObject &obj) const
| Determine the byte wise comparison of two objects. More...
bool | operator== (const PObject &obj) const
| Compare the two objects. More...
bool | operator!= (const PObject &obj) const
| Compare the two objects. More...
bool | operator< (const PObject &obj) const
| Compare the two objects. More...
bool | operator> (const PObject &obj) const
| Compare the two objects. More...
bool | operator<= (const PObject &obj) const
| Compare the two objects. More...
bool | operator>= (const PObject &obj) const
| Compare the two objects. More...
virtual void | ReadFrom (istream &strm)
| Input the contents of the object from the stream. More...

## Protected Member Functions

| PXMLRPCArrayObjectsBase (PArrayObjects &array, const char *name, const char *type)
PXMLRPCArrayObjectsBase & | operator= (const PXMLRPCArrayObjectsBase &)
Protected Member Functions inherited from PXMLRPCArrayBase
| PXMLRPCArrayBase (PContainer &array, const char *name, const char *type)
PXMLRPCArrayBase & | operator= (const PXMLRPCArrayBase &)
Protected Member Functions inherited from PXMLRPCVariableBase
| PXMLRPCVariableBase (const char *name, const char *type=NULL)
Protected Member Functions inherited from PObject
| PObject ()
| Constructor for PObject, made protected so cannot ever create one on its own. More...

## Protected Attributes

PArrayObjects & | array
Protected Attributes inherited from PXMLRPCArrayBase
PContainer & | array
Protected Attributes inherited from PXMLRPCVariableBase
const char * | name
const char * | type

## Additional Inherited Members

Public Types inherited from PObject
enum | Comparison { LessThan = -1, EqualTo = 0, GreaterThan = 1 }
| Result of the comparison operation performed by the `Compare()` function. More...
Static Public Member Functions inherited from PObject
static const char * | Class ()
| Get the name of the class as a C string. More...
static Comparison | InternalCompareObjectMemoryDirect (const PObject *obj1, const PObject *obj2, PINDEX size)
| Internal function caled from CompareObjectMemoryDirect() More...

## Constructor & Destructor Documentation

PXMLRPCArrayObjectsBase::PXMLRPCArrayObjectsBase | ( | PArrayObjects & | array,
|  | const char * | name,
|  | const char * | type
| ) |  |

protected

## Member Function Documentation

virtual PObject* PXMLRPCArrayObjectsBase::CreateObject | ( |  | ) | const

pure virtual

virtual void PXMLRPCArrayObjectsBase::FromString | ( | PINDEX | i,
|  | const PString & | str
| ) |  |

virtual

Reimplemented from PXMLRPCVariableBase.

PXMLRPCArrayObjectsBase& PXMLRPCArrayObjectsBase::operator= | ( | const PXMLRPCArrayObjectsBase & |  | ) |

protected

virtual PBoolean PXMLRPCArrayObjectsBase::SetSize | ( | PINDEX |  | ) |

virtual

Reimplemented from PXMLRPCArrayBase.

virtual PString PXMLRPCArrayObjectsBase::ToString | ( | PINDEX | i | ) | const

virtual

Reimplemented from PXMLRPCVariableBase.

## Member Data Documentation

PArrayObjects& PXMLRPCArrayObjectsBase::array

protected

The documentation for this class was generated from the following file:

- pxmlrpc.h